Blender Documentation Volume II - Reference Guide: Last modified March 29 2004 S68
<<< Previous | Python API Reference | Next >>>

# The Effect object

This object gives access to generic data from all effects in Blender. Its attributes depend upon its type.

Method Summary |
list of 4 floats | `getChild()` (Particle Effect) Retreives the average number of children of the particles (4 generations).
float | `getDamp()` (Wave Effect) Retreives the damp of the wave.
list of 3 floats | `getDefvec()` (Particle Effect) Retreives the x, y and z components of the force defined by the texture.
float | `getEnd()` (Particle Effect) Retreives the endr time of a particle effect object
int | `getFlag()` Retreives the flag of an effect object
list of three floats | `getForce()` (Particle Effect) Retreives the force applied to the particles.
float | `getHeight()` (Wave Effect) Retreives the height of the wave.
int | `getLen()` (Build Effect) Retreives the length of an build effect object
list of 4 floats | `getLife()` (Particle Effect) Retreives the average life of the particles (4 generations)
float | `getLifetime()` (Particle Effect) Retreives the lifetime of a particle effect object
list of 4 floats | `getMat()` (Particle Effect) Retreives the indexes of the materials associated to the particles (4 generations).
float | `getMinfac()` (Wave Effect) Retreives the minfac of the wave.
list of 4 floats | `getMult()` (Particle Effect) Retreives the probabilities of a particle having a child.
float | `getNabla()` (Particle Effect) Retreives the sensibility of te particles to the variations of the texture.
float | `getNarrow()` (Wave Effect) Retreives the narrowness of the wave.
float | `getNormfac()` (Particle Effect) Retreives the normal strength of the particles (relatively to mesh).
float | `getObfac()` (Particle Effect) Retreives the initial strength of the particles relatively to objects.
float | `getRandfac()` (Particle Effect) Retreives the random strength applied to the particles.
float | `getRandlife()` (Particle Effect) Retreives the variability of the life of the particles.
int | `getSeed()` (Particle Effect) Retreives the RNG seed.
int | `getSfra()` (Build Effect) Retreives the starting frame of an build effect object
float | `getSpeed()` (Wave Effect) Retreives the speed of the wave.
float | `getSta()` (Particle Effect) Retreives the starting time of a particle effect object
float | `getStartx()` (Wave Effect) Retreives the x-coordinate of the starting point of the wave.
float | `getStarty()` (Wave Effect) Retreives the y-coordinate of the starting point of the wave.
float | `getTexfac()` (Particle Effect) Retreives the strength applied to the particles from the texture of the object.
float | `getTimeoffs()` (Wave Effect) Retreives the time offset of the wave.
int | `getTotkey()` (Particle Effect) Retreives the number of keys associated to the particles (kinda degree of freedom)
int | `getTotpart()` (Particle Effect) Retreives the total number of particles.
int | `getType()` Retreives the type of an effect object
float | `getVectsize()` (Particle Effect) Retreives the size of the vector which is associated to the particles.
float | `getWidth()` (Wave Effect) Retreives the width of the wave.
PyNone | `setChild(newchild)` (Particle Effect) Sets the average number of children of the particles (4 generations).
PyNone | `setDamp(damp)` (Wave Effect) Sets the damp of the wave.
PyNone | `setDefvec(newdefvec)` (Particle Effect) Sets the x, y and z components of the force defined by the texture.
PyNone | `setEnd(newendrt)` (Particle Effect) Sets the end time of an particle effect object
PyNone | `setFlag(newflag)` Sets the flag of an effect object
PyNone | `setForce(newforce)` (Particle Effect) Sets the force applied to the particles.
PyNone | `setHeight(height)` (Wave Effect) Sets the height of the wave.
PyNone | `setLen(newlength)` (Build Effect) Sets the length of an build effect object
PyNone | `setLife(newlife)` (Particle Effect) Sets the average life of the particles (4 generations).
PyNone | `setLifetime(newlifetime)` (Particle Effect) Sets the lifetime of a particle effect object
PyNone | `setMat(newmat)` (Particle Effect) Sets the indexes of the materials associated to the particles (4 generations).
PyNone | `setMinfac(minfac)` (Wave Effect) Sets the minfac of the wave.
PyNone | `setMult(newmult)` (Particle Effect) Sets the probabilities of a particle having a child.
PyNone | `setNabla(newnabla)` (Particle Effect) Sets the sensibility of te particles to the variations of the texture.
PyNone | `setNarrow(narrow)` (Wave Effect) Sets the narrowness of the wave.
PyNone | `setNormfac(newnormfac)` (Particle Effect) Sets the normal strength of the particles (relatively to mesh).
PyNone | `setObfac(newobfac)` (Particle Effect) Sets the initial strength of the particles relatively to objects.
PyNone | `setRandfac(newrandfac)` (Particle Effect) Sets the random strength applied to the particles.
PyNone | `setRandlife(newrandlife)` (Particle Effect) Sets the variability of the life of the particles.
PyNone | `setSeed(newseed)` (Particle Effect) Sets the RNG seed.
PyNone | `setSfra(sfra)` (Build Effect) Sets the starting frame of an build effect object
PyNone | `setSpeed(speed)` (Wave Effect) Sets the speed of the wave.
PyNone | `setSta(newstart)` (Particle Effect) Sets the starting time of an particle effect object
PyNone | `setStartx(startx)` (Wave Effect) Sets the x-coordinate of the starting point of the wave.
PyNone | `setStarty(starty)` (Wave Effect) Sets the y-coordinate of the starting point of the wave.
PyNone | `setTexfac(newtexfac)` (Particle Effect) Sets the strength applied to the particles from the texture of the object.
PyNone | `setTimeoffs(timeoffs)` (Wave Effect) Sets the time offset of the wave.
PyNone | `setTotkey(newtotkey)` (Particle Effect) Sets the number of keys associated to the particles.
PyNone | `setTotpart(newtotpart)` (Particle Effect) Sets the the total number of particles.
PyNone | `setType(name)` Sets the type of an effect object
PyNone | `setVectsize(newvectsize)` (Particle Effect) Sets the size of the vector which is associated to the particles.
PyNone | `setWidth(width)` (Wave Effect) Sets the width of the wave.

Class Variable Summary |
| `child` - (Particle effects) number of children a particle may have.
| `damp` - (Wave effects) damp factor of the wave effect.
| `defvec` - (Particle effects)x, y and z axis of the force defined by the texture.
| `end` - (Particle effects) end time of the effect
| `force` - (Particle effects) constant force applied to the parts.
| `height` - (Wave effects) height of the wave effect.
| `len` - (Build effects) length of the build effect.
| `lifetime` - (Particle and Wave effects)lifetime of the effect
| `mat` - (Particle effects) materials used by the 4 generation particles.
| `minfac` - (Wave effects)
| `mult` - (Particle effects) probabilities of a particle having a child.
| `nabla` - (Particle effects) The nabla value .
| `narrow` - (Wave effects)narrowness of the wave effect.
| `normfac` - (Particle effects) normal strength of the particles (relatively to mesh).
| `obfac` - (Particle effects)initial strength of the particles relatively to objects.
| `randfac` - (Particle effects) initial random speed of the particles.
| `randlife` - (Particle effects) variability of the life of the particles.
| `seed` - (Particle effects) seed of the RNG.
| `sfra` - (Build effects) starting frame of the build effect.
| `speed` - (Wave effects) speed of the wave effect.
| `sta` - (Particle effects) start time of the effect.
| `startx` - (Wave effects) x-position of the origin of the wave effect.
| `starty` - (Wave effects) y-position of the origin of the wave effect.
| `texfac` - (Particle effects) initial speed of the particles caused by the texture.
| `timeoffs` - (Wave effects) time offset of the wave effect.
| `totpart` - (Particle effects) total number of particles.
| `vectsize` - (Particle effects) size of vectors associated to the particles (if any).
| `width` - (Wave effects) width of the wave effect.

Method Details |

getChild()

(Particle Effect) Retreives the average number of children of the particles (4 generations).

  Returns:

    average number of children of the particles (4 generations).

    (type=list of 4 floats)

getDamp()

(Wave Effect) Retreives the damp of the wave.

  Returns:

    the damp of the wave.

    (type=float)

getDefvec()

(Particle Effect) Retreives the x, y and z components of the force defined by the texture.

  Returns:

    x, y and z components of the force defined by the texture.

    (type=list of 3 floats)

getEnd()

(Particle Effect) Retreives the endr time of a particle effect object

  Returns:

    the end time of the effect.

    (type=float)

getFlag()

Retreives the flag of an effect object

  Returns:

    the flag of an effect object : 0 = build effect; 1 = wave effect;2 = particle effect;

    (type=int)

getForce()

(Particle Effect) Retreives the force applied to the particles.

  Returns:

    force applied to the particles.

    (type=list of three floats)

getHeight()

(Wave Effect) Retreives the height of the wave.

  Returns:

    the height of the wave.

    (type=float)

getLen()

(Build Effect) Retreives the length of an build effect object

  Returns:

    the length of the effect.

    (type=int)

getLife()

(Particle Effect) Retreives the average life of the particles (4 generations)

  Returns:

    average life of the particles (4 generations)

    (type=list of 4 floats)

getLifetime()

(Particle Effect) Retreives the lifetime of a particle effect object

  Returns:

    the lifetime of the effect.

    (type=float)

getMat()

(Particle Effect) Retreives the indexes of the materials associated to the particles (4 generations).

  Returns:

    indexes of the materials associated to the particles (4 generations).

    (type=list of 4 floats)

getMinfac()

(Wave Effect) Retreives the minfac of the wave.

  Returns:

    the minfac of the wave.

    (type=float)

getMult()

(Particle Effect) Retreives the probabilities of a particle having a child.

  Returns:

    probabilities of a particle having a child.

    (type=list of 4 floats)

getNabla()

(Particle Effect) Retreives the sensibility of te particles to the variations of the texture.

  Returns:

    sensibility of te particles to the variations of the texture.

    (type=float)

getNarrow()

(Wave Effect) Retreives the narrowness of the wave.

  Returns:

    the narrowness of the wave.

    (type=float)

getNormfac()

(Particle Effect) Retreives the normal strength of the particles (relatively to mesh).

  Returns:

    normal strength of the particles (relatively to mesh).

    (type=float)

getObfac()

(Particle Effect) Retreives the initial strength of the particles relatively to objects.

  Returns:

    initial strength of the particles (relatively to mesh).

    (type=float)

getRandfac()

(Particle Effect) Retreives the random strength applied to the particles.

  Returns:

    random strength applied to the particles.

    (type=float)

getRandlife()

(Particle Effect) Retreives the variability of the life of the particles.

  Returns:

    variability of the life of the particles.

    (type=float)

getSeed()

(Particle Effect) Retreives the RNG seed.

  Returns:

    RNG seed.

    (type=int)

getSfra()

(Build Effect) Retreives the starting frame of an build effect object

  Returns:

    the starting frame of the effect.

    (type=int)

getSpeed()

(Wave Effect) Retreives the speed of the wave.

  Returns:

    the speed of the wave.

    (type=float)

getSta()

(Particle Effect) Retreives the starting time of a particle effect object

  Returns:

    the starting time of the effect.

    (type=float)

getStartx()

(Wave Effect) Retreives the x-coordinate of the starting point of the wave.

  Returns:

    the x-coordinate of the starting point of the wave.

    (type=float)

getStarty()

(Wave Effect) Retreives the y-coordinate of the starting point of the wave.

  Returns:

    the y-coordinate of the starting point of the wave.

    (type=float)

getTexfac()

(Particle Effect) Retreives the strength applied to the particles from the texture of the object.

  Returns:

    strength applied to the particles from the texture of the object.

    (type=float)

getTimeoffs()

(Wave Effect) Retreives the time offset of the wave.

  Returns:

    the time offset of the wave.

    (type=float)

getTotkey()

(Particle Effect) Retreives the number of keys associated to the particles (kinda degree of freedom)

  Returns:

    number of keys associated to the particles.

    (type=int)

getTotpart()

(Particle Effect) Retreives the total number of particles.

  Returns:

    the total number of particles.

    (type=int)

getType()

Retreives the type of an effect object

  Returns:

    the type of an effect object : 0 = build effect; 1 = wave effect;2 = particle effect;

    (type=int)

getVectsize()

(Particle Effect) Retreives the size of the vector which is associated to the particles.

  Returns:

    size of the vector which is associated to the particles.

    (type=float)

getWidth()

(Wave Effect) Retreives the width of the wave.

  Returns:

    the width of the wave.

    (type=float)

setChild(newchild)

(Particle Effect) Sets the average number of children of the particles (4 generations).

  Parameters:

    `newchild` - average number of children of the particles (4 generations).

    (type=list of 4 floats)

  Returns:

    PyNone

    (type=PyNone)

setDamp(damp)

(Wave Effect) Sets the damp of the wave.

  Parameters:

    `damp` - the damp of the wave.

    (type=float)

  Returns:

    PyNone

    (type=PyNone)

setDefvec(newdefvec)

(Particle Effect) Sets the x, y and z components of the force defined by the texture.

  Parameters:

    `newdefvec` - the x, y and z components of the force defined by the texture.

    (type=list of 3 floats)

  Returns:

    PyNone

    (type=PyNone)

setEnd(newendrt)

(Particle Effect) Sets the end time of an particle effect object

  Parameters:

    `newendrt` - the new end time.

    (type=float)

  Returns:

    PyNone

    (type=PyNone)

setFlag(newflag)

Sets the flag of an effect object

  Parameters:

    `newflag` - the new flag.

    (type=int)

  Returns:

    PyNone

<<< Previous | Home | Next >>>
Class Effect | Up | Module Curve